Subject: Re: bug#70189: [PATCH] Simple request to add '.eln' to the 'completion-ignored-extensions' list

From: Robert Burks <[email-masked]>
Date: Fri, 5 Apr 2024 18:51:12 -0400

I had some time so I went ahead and updated the bug numbers in all the
patches.
Please see revised patches attached.

1) Revised all bug numbers to the assigned numbers.
2) Squashed #32 from the email prior to this into #20
3) Fixed the wording of a comment in #11
4) Rebased, rebuilt, and retested on commit 64e1cfb98cb

On Fri, Apr 5, 2024 at 4:56 PM Robert Burks <[email-masked]> wrote:

> Please include the attached with the group of 31 patches I sent prior.
> This patch removes the warning suppression from a test in patch 20.
> At some point I had altered the test and forgot to remove the warning
> suppression.  This is one of the non-bug related tests.
>
> Additionally, if after review you would like me to handle updating bug
> numbers in the commits to the ones assigned or correct any typos let me
> know.
>
> On Thu, Apr 4, 2024 at 2:06 PM Robert Burks <[email-masked]> wrote:
>
>> I have submitted the request for the forms for past and future changes.
>>
>> That aspect slipped my mind.  The chain of emails I sent was originally
>> just a
>> couple lines to fix the segmentation fault in 'get-variable-watchers' and
>> then
>> just kept growing.
>>
>> I have sent an official request to assign copyright to GNU Emacs for any
>> future
>> works and for the past original works I have recently submitted for the
>> following
>> documents:
>> lisp/bindings.el
>> lisp/progmodes/flymake.el
>> src/buffer.c
>> src/data.c
>> src/eval.c
>> src/lisp.h
>> test/src/data-tests.el
>> test/src/eval-tests.el
>>
>> Robert A. Burks
>>
>> On Thu, Apr 4, 2024 at 1:02 PM Robert Burks <[email-masked]> wrote:
>>
>>> I've only submitted one trivial patch prior to this.  I will submit the
>>> copyright assignment here shortly.
>>>
>>> On Thu, Apr 4, 2024 at 7:57 AM Eli Zaretskii <[email-masked]> wrote:
>>>
>>>> > Cc: [email-masked]
>>>> > From: Andrea Corallo <[email-masked]>
>>>> > Date: Thu, 04 Apr 2024 05:51:02 -0400
>>>> >
>>>> > Hi Robert,
>>>> >
>>>> > the patch LGTM, do you have the copyright assignment already done?
>>>>
>>>> He doesn't.
>>>>
>>>